package cn.iocoder.boot.module.order.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* 订单发货人信息 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 订单发货人信息 Response VO")
public class OrderConsignorApiDO {

    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ApiModelProperty(value = "下单用户id")
    private Long relationId;

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "发货人姓名")
    private String name;

    @ApiModelProperty(value = "发货人姓名(英文)")
    private String nameEn;

    @ApiModelProperty(value = "", required = true)
    private Long customerId;

    @ApiModelProperty(value = "", required = true)
    private Long customerContactsId;
}
